Package org.apache.sysds.runtime.controlprogram.federated.monitoring.repositories

## Class DerbyRepository

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.repositories.DerbyRepository

All Implemented Interfaces:
  `IRepository`

    public class DerbyRepository
    extends Object
    implements IRepository

### Constructor Summary

Constructors
`DerbyRepository()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `createEntity​(EntityEnum type, BaseEntityModel model)`
`List<BaseEntityModel>` `getAllEntities​(EntityEnum type)`
`List<BaseEntityModel>` `getAllEntitiesByField​(EntityEnum type, Object fieldValue)`
`BaseEntityModel` `getEntity​(EntityEnum type, Long id)`
`void` `removeEntity​(EntityEnum type, Long id)`
`void` `updateEntity​(EntityEnum type, BaseEntityModel model)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DerbyRepository

    public DerbyRepository()

### Method Detail

#### createEntity

    public Long createEntity​(EntityEnum type,
                             BaseEntityModel model)

Specified by:
  `createEntity` in interface `IRepository`

#### getEntity

    public BaseEntityModel getEntity​(EntityEnum type,
                                     Long id)

Specified by:
  `getEntity` in interface `IRepository`

#### getAllEntities

    public List<BaseEntityModel> getAllEntities​(EntityEnum type)

Specified by:
  `getAllEntities` in interface `IRepository`

#### getAllEntitiesByField

    public List<BaseEntityModel> getAllEntitiesByField​(EntityEnum type,
                                                       Object fieldValue)

Specified by:
  `getAllEntitiesByField` in interface `IRepository`

#### updateEntity

    public void updateEntity​(EntityEnum type,
                             BaseEntityModel model)

Specified by:
  `updateEntity` in interface `IRepository`

#### removeEntity

    public void removeEntity​(EntityEnum type,
                             Long id)

Specified by:
  `removeEntity` in interface `IRepository`